<html>
<head>
<title>Ogre::TimeIndex Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1TimeIndex.html">TimeIndex</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#pro-static-attribs">Static Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::TimeIndex Class Reference<div class="ingroups"><a class="el" href="group__Animation.html">Animation</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::TimeIndex" -->
<p>Time index object used to search keyframe at the given position.  
 <a href="classOgre_1_1TimeIndex.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreAnimationTrack_8h_source.html">OgreAnimationTrack.h</a>&gt;</code></p>

<p><a href="classOgre_1_1TimeIndex-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TimeIndex.html#adc00e0190b54c72be2185ce650daa7a7">TimeIndex</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> timePos)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct time index object by the given time position.  <a href="#adc00e0190b54c72be2185ce650daa7a7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TimeIndex.html#ac6f0421e5a3c653ce5e5a1a6383e969f">TimeIndex</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> timePos, <a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> keyIndex)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct time index object by the given time position and global keyframe index.  <a href="#ac6f0421e5a3c653ce5e5a1a6383e969f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TimeIndex.html#a69db72c39f34b6257d5a456922fc69f8">hasKeyIndex</a> (void) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TimeIndex.html#a9890d671f480025a787d519e4a922184">getTimePos</a> (void) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TimeIndex.html#a2a97453fc7d6ce7e25a64de23114f786">getKeyIndex</a> (void) const </td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TimeIndex.html#acd9dcf5973656fa8c015c2f0dfe1ce51">mTimePos</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The time position (in relation to the whole animation sequence)  <a href="#acd9dcf5973656fa8c015c2f0dfe1ce51"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TimeIndex.html#a6b57e79eff73506c3ec46c9847a86d22">mKeyIndex</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The global keyframe index (in relation to the whole animation sequence) that used to convert to local keyframe index, or INVALID_KEY_INDEX which means global keyframe index unavailable, and then slight slow method will used to search local keyframe index.  <a href="#a6b57e79eff73506c3ec46c9847a86d22"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-static-attribs"></a>
Static Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TimeIndex.html#a6925dd1b6e2a897eb4ddc3d6a56af40d">INVALID_KEY_INDEX</a> = (<a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>)-1</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicate it's an invalid global keyframe index.  <a href="#a6925dd1b6e2a897eb4ddc3d6a56af40d"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Time index object used to search keyframe at the given position. </p>

<p>Definition at line <a class="el" href="OgreAnimationTrack_8h_source.html#l00049">49</a> of file <a class="el" href="OgreAnimationTrack_8h_source.html">OgreAnimationTrack.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="adc00e0190b54c72be2185ce650daa7a7"></a><!-- doxytag: member="Ogre::TimeIndex::TimeIndex" ref="adc00e0190b54c72be2185ce650daa7a7" args="(Real timePos)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1TimeIndex.html#adc00e0190b54c72be2185ce650daa7a7">Ogre::TimeIndex::TimeIndex</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>timePos</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Construct time index object by the given time position. </p>

<p>Definition at line <a class="el" href="OgreAnimationTrack_8h_source.html#l00069">69</a> of file <a class="el" href="OgreAnimationTrack_8h_source.html">OgreAnimationTrack.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac6f0421e5a3c653ce5e5a1a6383e969f"></a><!-- doxytag: member="Ogre::TimeIndex::TimeIndex" ref="ac6f0421e5a3c653ce5e5a1a6383e969f" args="(Real timePos, uint keyIndex)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1TimeIndex.html#adc00e0190b54c72be2185ce650daa7a7">Ogre::TimeIndex::TimeIndex</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>timePos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>&#160;</td>
          <td class="paramname"><em>keyIndex</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Construct time index object by the given time position and global keyframe index. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>In normally, you don't need to use this constructor directly, use <a class="el" href="classOgre_1_1Animation.html#acd9d856cef81a16612c588792fd2b843" title="Internal method used to convert time position to time index object.">Animation::_getTimeIndex</a> instead. </dd></dl>

<p>Definition at line <a class="el" href="OgreAnimationTrack_8h_source.html#l00080">80</a> of file <a class="el" href="OgreAnimationTrack_8h_source.html">OgreAnimationTrack.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a2a97453fc7d6ce7e25a64de23114f786"></a><!-- doxytag: member="Ogre::TimeIndex::getKeyIndex" ref="a2a97453fc7d6ce7e25a64de23114f786" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> <a class="el" href="classOgre_1_1TimeIndex.html#a2a97453fc7d6ce7e25a64de23114f786">Ogre::TimeIndex::getKeyIndex</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAnimationTrack_8h_source.html#l00096">96</a> of file <a class="el" href="OgreAnimationTrack_8h_source.html">OgreAnimationTrack.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9890d671f480025a787d519e4a922184"></a><!-- doxytag: member="Ogre::TimeIndex::getTimePos" ref="a9890d671f480025a787d519e4a922184" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1TimeIndex.html#a9890d671f480025a787d519e4a922184">Ogre::TimeIndex::getTimePos</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAnimationTrack_8h_source.html#l00091">91</a> of file <a class="el" href="OgreAnimationTrack_8h_source.html">OgreAnimationTrack.h</a>.</p>

</div>
</div>
<a class="anchor" id="a69db72c39f34b6257d5a456922fc69f8"></a><!-- doxytag: member="Ogre::TimeIndex::hasKeyIndex" ref="a69db72c39f34b6257d5a456922fc69f8" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1TimeIndex.html#a69db72c39f34b6257d5a456922fc69f8">Ogre::TimeIndex::hasKeyIndex</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAnimationTrack_8h_source.html#l00086">86</a> of file <a class="el" href="OgreAnimationTrack_8h_source.html">OgreAnimationTrack.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a6925dd1b6e2a897eb4ddc3d6a56af40d"></a><!-- doxytag: member="Ogre::TimeIndex::INVALID_KEY_INDEX" ref="a6925dd1b6e2a897eb4ddc3d6a56af40d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> <a class="el" href="classOgre_1_1TimeIndex.html#a6925dd1b6e2a897eb4ddc3d6a56af40d">Ogre::TimeIndex::INVALID_KEY_INDEX</a> = (<a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>)-1<code> [static, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Indicate it's an invalid global keyframe index. </p>

<p>Definition at line <a class="el" href="OgreAnimationTrack_8h_source.html#l00064">64</a> of file <a class="el" href="OgreAnimationTrack_8h_source.html">OgreAnimationTrack.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6b57e79eff73506c3ec46c9847a86d22"></a><!-- doxytag: member="Ogre::TimeIndex::mKeyIndex" ref="a6b57e79eff73506c3ec46c9847a86d22" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> <a class="el" href="classOgre_1_1TimeIndex.html#a6b57e79eff73506c3ec46c9847a86d22">Ogre::TimeIndex::mKeyIndex</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The global keyframe index (in relation to the whole animation sequence) that used to convert to local keyframe index, or INVALID_KEY_INDEX which means global keyframe index unavailable, and then slight slow method will used to search local keyframe index. </p>

<p>Definition at line <a class="el" href="OgreAnimationTrack_8h_source.html#l00060">60</a> of file <a class="el" href="OgreAnimationTrack_8h_source.html">OgreAnimationTrack.h</a>.</p>

</div>
</div>
<a class="anchor" id="acd9dcf5973656fa8c015c2f0dfe1ce51"></a><!-- doxytag: member="Ogre::TimeIndex::mTimePos" ref="acd9dcf5973656fa8c015c2f0dfe1ce51" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1TimeIndex.html#acd9dcf5973656fa8c015c2f0dfe1ce51">Ogre::TimeIndex::mTimePos</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The time position (in relation to the whole animation sequence) </p>

<p>Definition at line <a class="el" href="OgreAnimationTrack_8h_source.html#l00054">54</a> of file <a class="el" href="OgreAnimationTrack_8h_source.html">OgreAnimationTrack.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreAnimationTrack_8h_source.html">OgreAnimationTrack.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:54
</p>
</body>
</html>
